hi

Discussion in 'Introductions' started by inter89, May 29, 2017.

hi

by inter89 May 29, 2017 at 7:58 PM 188 Views 0 replies
  1. inter89
    OP

    inter89 Newbie

    Newcomer
    1
    May 29, 2017
    Italy
    i was an old user here years ago...didn't post too much.
    back cause i have some problems with the vita.
    one thing i would like to ask right away.
    i haven't been following the scene for months.
    but is it still impossible to play "newer" games on an henkaku vita?
    i mean games which require fw 3.61,3.63 or the newest 3.65...
    thoughout any methods be it vpks,maidumps or cartridges....
     
    Last edited by inter89, May 29, 2017
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice